$(".tips").on("mouseover",function(){
    layer.tips($(this).data('content'), this);
})

function showBigImage(e) {
    layer.open({
        type: 1,
        title: false,
        closeBtn: 1,
        shadeClose: true, //点击阴影关闭
        area: [$(e).width + 'px', $(e).height + 'px'], //宽高
        content: "<img src=" + $(e).attr('src') + " style='max-height:300px;max-width:100%;' />"
    });
}




layui.use(['element', 'upload', 'laydate', 'form'], function () {
        var element = layui.element;
        var upload = layui.upload;
        var laydate = layui.laydate;
        var form = layui.form;
        
        var uploadurl = '/admin/uploader/upload';
        //执行单图片实例
        var uploadInst = upload.render({
            elem: '.upload' //绑定元素
            ,url: uploadurl //上传接口
            ,accept: 'images' //接收文件类型 images（图片）、file（所有文件）、video（视频）、audio（音频）
            ,done: function (res) {
                var item = this.item;
                var des = $(item).data('des');
                $('#'+des).val(res.path); 
                $('#'+des+'_box').html("<dl><dt><img src='"+res.path +"' data-url='"+res.path+"' onclick='showBigImage(this)'></dt><dd><i class='layui-icon layui-icon-close-fill'></i></dd></dl>"); 
            }
        });

        //执行多图片上传实例
        var files = '';
        var html = '';
        var html2 = '';
        var uploadsInst = upload.render({
            elem: '.uploads' //绑定元素
            , url: uploadurl //上传接口
            , multiple: true//多文件上传
            , accept: 'images' //接收文件类型 images（图片）、file（所有文件）、video（视频）、audio（音频）
            , done: function (res) {
                    if (files) {
                        files+= ',' + res.path;
                    } else {
                        files+= res.path;
                    }
                    html += "<dl><dt><img src='"+res.path +"' data-url='"+res.path+"' onclick='showBigImage(this)'></dt><dd><i class='layui-icon layui-icon-close-fill'></i></dd>" +
                        "</dl>";
                    html2 += "<dl><dt><img src='"+res.path +"' data-url='"+res.path+"' onclick='showBigImage(this)'></dt><dd><i class='layui-icon layui-icon-close-fill'></i></dd>" + "</dl>";
              
                
            }
            , allDone: function (obj) {
                var item = this.item;
                var des = $(item).data('des');

                layer.closeAll('loading'); //关闭loading
                if (files != '') {
                    if ($('#' + des).val()) {
                        $('#' + des).val($('#' + des).val() + ',' + files);
                    } else {
                        $('#' + des).val(files);
                    }
                    if (des == 'pics') {
                        $('#' + des + '_box').append(html);
                    } else {
                        $('#' + des + '_box').append(html2);
                    }
                    layer.msg('成功上传' + obj.successful + '个文件！');
                    files = '';
                    html = '';
                    html2 = '';
                } else {
                    layer.msg('全部上传失败！');
                }

            }
            , error: function () {
                layer.closeAll('loading'); //关闭loading
                layer.msg('上传发生错误！');
            }
        });

        //图片页面删除功能
        $('.pic').on("click", 'dl dd', function () {
            var id = $(this).parents('.pic').attr('id');
            var url = $(this).siblings('dt').find('img').data('url');
            var input = $('#' + id.replace('_box', ''));
            var value = input.val();
            value = value.replace(url, '');
            value = value.replace(/^,/, '');
            value = value.replace(/,$/, '');
            value = value.replace(/,,/, ',');
            input.val(value);
            $(this).parents('dl').remove();
        });

        //执行附件上传实例
        var uploadFileInst = upload.render({
            elem: '.file' //绑定元素
            ,url: uploadurl //上传接口
            ,multiple: false //多文件上传
            ,accept: 'file' //接收文件类型 images（图片）、file（所有文件）、video（视频）、audio（音频）
            ,before: function(obj){ 
                layer.load(); //上传loading
            }
            ,done: function(res){
            var item = this.item;
            var des=$(item).data('des');
            layer.closeAll('loading'); //关闭loading
                $('#'+des).val(res.path); 
                layer.msg('上传成功！'); 
            }
            ,error: function(){
                layer.closeAll('loading'); //关闭loading
                layer.msg('上传发生错误！'); 
            }
        });

        //使用多日期控件
        useLayDateMultiple('year', 'year');
        useLayDateMultiple('month', 'month');
        useLayDateMultiple('time', 'time');
        useLayDateMultiple('date', 'date');
        useLayDateMultiple('datetime', 'datetime');


        //选择模型切换模板
        form.on('select(model)', function (data) {
            var elem = data.elem;
            var type = $(elem).find("option:selected").data('type');
            var listtpl = $(elem).find("option:selected").data('listtpl');
            var contenttpl = $(elem).find("option:selected").data('contenttpl');

            $(elem).parents('form').find("#type").val(type);
            addOptionValue("listtpl", listtpl, listtpl);
            addOptionValue("contenttpl", contenttpl, contenttpl);
            $(elem).parents('form').find("#listtpl").val(listtpl);
            $(elem).parents('form').find("#contenttpl").val(contenttpl);
            form.render(null, 'sort');
        }); 



        //日期控件函数
        function useLayDateMultiple(cls, type) {
            layui.use('laydate', function () {
                var laydate = layui.laydate;
                lay('.' + cls).each(function () {
                    laydate.render({
                        elem: this,
                        type: type,
                    });
                });
            });
        } 


});